-- 这是聚光灯控制脚本，用lua 5.2.x语言编写。聚光灯介绍形式是枫传网络独创的软件介绍方式。通过将软件界面雾化为背景，并用聚光灯突显要介绍的部分，配合文字说明，对软件进行介绍。您可以按照提示修改此脚本。
-- 下面为文件信息，除CodePage外，其它项目请不要修改。
Application = "GTalkabout"
Version = "1.1"
ScriptType = "tutorial"
CodePage = 936	-- 简体中文，如果您将此脚本翻译为其他语种，请修改为该语种对应的代码页，否则，请不要修改。

-- 下面为介绍文字，是markdown格式文本。您可以将其翻译为其它语种或修改，请不要修改圆括号内的文字。
Hint_text = [[
欢迎使用 极客讨论器 个人版
===
此软件内核采用 极客讨论器 1.2.0 版 由枫传网络版权所有

极客讨论器是一款**讨论和批注源代码的工具**，适合于程序员，软件开发、测试、管理人员，编程爱好者。[详细介绍](introduction)

**本地开发项目**用于配置对本机源代码进行批注。  
如您想要了解怎样批注本机源代码，请看[介绍](local)。

[关闭提示](cancel_auto_load)
]]

-- 下面为聚光灯流程控制，请不要修改！
function ControlValueIterator(ControlTable)
	local iIndex = 0

	return function()
		iIndex = iIndex + 1;
		local ControlValue = ControlTable[iIndex];

		if type(ControlValue) == "string" then
			return ControlValue, "";
		elseif type(ControlValue) == "table" then
			local Control, Value = ControlValue[1], ControlValue[2];

			if type(Control) == "string" then
				if type(Value) == "string" then
					return Control, Value;
				else
					return Control, "";
				end
			else
				return nil;
			end
		else
			return nil;
		end
	end
end

function ChangeSpotlights(ControlTable)
	local Iter = ControlValueIterator(ControlTable);
	local Control, Value = Iter();

	if Control == "close" or Control == "cancel_auto_load" then
		return {}, "";
	elseif Control == "introduction" or Control == "whats_new_1_1_5" then
		TutorialOptions(Control);
	elseif Control == "local" then
		TutorialOptions("local_develop");
	end
	return { {"new_config", 0} }, Hint_text;
end

AutoLoad = 0